Subject: Re: linux-next: sound tree build failure

From: Takashi Iwai <[email-masked]>
Date: Tue, 02 Feb 2010 08:27:19 +0100

At Tue, 2 Feb 2010 12:47:11 +1100,
Stephen Rothwell wrote:
> 
> Hi Takashi,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> sound/soc/codecs/wm8994.c:30:35: error: linux/mfd/wm8994/core.h: No such file or directory
> sound/soc/codecs/wm8994.c:31:40: error: linux/mfd/wm8994/registers.h: No such file or directory
> sound/soc/codecs/wm8994.c:32:36: error: linux/mfd/wm8994/pdata.h: No such file or directory
> sound/soc/codecs/wm8994.c:33:35: error: linux/mfd/wm8994/gpio.h: No such file or directory
> 
> And went down hill form there :-(

Ah, sorry, this driver didn't hit in my quick test in the last
evening before pushing.

> Caused by commit 9e6e96a197a03752d39a63e4f83e0b707ccedad7 ("ASoC: Add
> WM8994 CODEC driver").  I presume that this commit depends on commits
> currently only in the mfd tree ...

Yep, looks so.
 
> I have used the sound tree from next-20100201 for today.
> 
> To fix this, the relevant commits from the mfd tree could be put into a
> "never to be rebased" branch (or separate git tree) and then this branch
> merged into both the sound and mfd trees.

Well, I don't think the codec register definitions don't have to be
dependent on mfd tree at all.  All other codec drivers have own
definitions.

Mark, can it be self-contained?

thanks,

Takashi